LINUX.ORG.RU

Не загружается модуль vbox в ядро

 , ,


0

1

Всем привет. Не думал что возникнет когда либо такая проблема, но.... Есть debian wheezy

inf@debian:~$ uname -r
3.5-trunk-amd64

Взял с сайта virtualbox.org deb-файл. Запускаю его

sudo dpkg -i virtualbox-4.2_4.2.4-81684~Debian~wheezy_amd64.deb
всё идет хорошо ровно до этого момента
[....] Starting VirtualBox kernel modules:
[FAIL] modprobe vboxdrv failed. Please use 'dmesg' to find out why ... failed!

Ну хорошо, гляну dmesg на тему vboxdrv

dmesg |grep vboxdrv :

[ 3654.216689] vboxdrv: disagrees about version of symbol module_layout
На этом я собственно и завис... сам virtual box запускается, создать машинку в нём могу, но при запуске её пишет :
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

на команду /etc/init.d/vboxdrv setup думает минуты 3 и выдаёт:

[ ok ] Stopping VirtualBox kernel modules:.
[ ok ] Uninstalling old VirtualBox DKMS kernel modules:.
[ ok ] Trying to register the VirtualBox kernel modules using DKMS:.
[....] Starting VirtualBox kernel modules:
[FAIL] modprobe vboxdrv failed. Please use 'dmesg' to find out why ... failed!

собственно выходит замкнутый круг... sudo modprobe vboxdrv выдаёт

ERROR: could not insert 'vboxdrv': Exec format error

пакет dkms стоит. sudo dkms install vboxhost/4.2.4 делал. p.s. на более старом ядре(кажется 3.2) проблема аналогичная

Кто что подскажет?

Ну что ж вы делаете, на сайте же ясно написано как в Debian ставить VirtualBox.

Подключить репозиторий с VirtualBox, добавить ключ и установить через apt-get install или aptitude install.

Кроме того нужно установить:

aptitude linux-headers-`uname -r`

anonymous ()

Похоже, linux-headers и linux-image разных минорных версий.

Darth_Revan ★★★★★ ()
Ответ на: комментарий от anonymous

В одном вы правы - лучше через репозиторий и aptitude :-).

Darth_Revan ★★★★★ ()
Ответ на: комментарий от Darth_Revan

Я пробовал ставить через apt-get install - это было перавое что я сделал, не отписался просто сразу про это, думал это очевидно и так)) (добавлял репозиторий с virtualbox.org/wiki/Linux_Downloads).

Результат тот же.

linux-headers-3.5-trunk-amd64 is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

linux-image-3.5-trunk-amd64 is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Т.е. по идее верссии как раз одинаковые...

Сори что долго не отвечал, не было возможности зайти сюда

infiltr ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.